---
updatedAt: 2026-03-24T22:29:34.000Z
agentTools:
  projectIndex: https://developers.digitalfemsa.io/llms.txt
---

# Get List transactions

Returns a paginated list of transactions (ledger movements).

A transaction is a movement that represents the financial impact of payment operations, including amounts, fees, and net values.
Transactions can be linked to a charge and may be linked to a transfer (payout) when they are included in a payout.

If you need payout-level information (destination, statement reference/description, payout status), use GET /transfers.


## Advanced Filtering

We can filter by specific fields using an advanced filter type that helps us obtain more precise data.

You can learn about our advanced filters in [Advanced Filters](https://developers.digitalfemsa.io/reference/advanced-filters).

To use these filters, they are only allowed in the following fields:

| Field                    | Description                      |
| :----------------------- | :------------------------------- |
| id                       | Filters by ID                    |
| type                     | Filters by type                  |
| created\_at              | Filters by creation date         |
| charge\_id               | Filters by charge id             |
| currency                 | Filters by currency              |
| third\_party\_payout\_id | Filters by third party payout id |
| receipt\_id              | Filters by receipt id            |
| transfer\_id             | Filters by transfer\_ d          |
| status                   | Filters by status                |
| available\_on            | Filters by available date        |

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "contact": {
      "email": "engineering@femsa.com",
      "name": "Engineering Femsa",
      "url": "https://github.com/digitalfemsa/openapi/issues"
    },
    "description": "Femsa sdk",
    "license": {
      "name": "MIT-LICENSE",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "title": "Femsa API",
    "version": "2.1.0"
  },
  "servers": [
    {
      "description": "Femsa main server",
      "url": "https://api.digitalfemsa.io"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/transactions": {
      "get": {
        "description": "Returns a paginated list of transactions (ledger movements).\n\nA transaction is a movement that represents the financial impact of payment operations, including amounts, fees, and net values.\nTransactions can be linked to a charge and may be linked to a transfer (payout) when they are included in a payout.\n\nIf you need payout-level information (destination, statement reference/description, payout status), use GET /transfers.\n",
        "operationId": "getTransactions",
        "parameters": [
          {
            "description": "Use for knowing which language to use",
            "examples": {
              "es": {
                "summary": "for spanish request/response",
                "value": "es"
              },
              "en": {
                "summary": "for english request/response",
                "value": "en"
              }
            },
            "in": "header",
            "name": "Accept-Language",
            "required": false,
            "schema": {
              "default": "es",
              "enum": [
                "es",
                "en"
              ],
              "type": "string"
            }
          },
          {
            "description": "In the case of a holding company, the company id of the child company to which will process the request.",
            "example": "6441b6376b60c3a638da80af",
            "in": "header",
            "name": "X-Child-Company-Id",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The numbers of items to return, the maximum value is 250",
            "in": "query",
            "name": "limit",
            "required": false,
            "schema": {
              "default": 20,
              "format": "int32",
              "maximum": 250,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "description": "next page",
            "in": "query",
            "name": "next",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "previous page",
            "in": "query",
            "name": "previous",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "id of the object to be retrieved",
            "in": "query",
            "name": "id",
            "required": false,
            "schema": {
              "example": "65412a893cd69a0001c25892",
              "type": "string"
            }
          },
          {
            "description": "id of the charge used for filtering",
            "in": "query",
            "name": "charge_id",
            "required": false,
            "schema": {
              "example": "65412a893cd69a0001c25892",
              "type": "string"
            }
          },
          {
            "description": "type of the object to be retrieved",
            "in": "query",
            "name": "type",
            "required": false,
            "schema": {
              "example": "capture",
              "type": "string"
            }
          },
          {
            "description": "currency of the object to be retrieved",
            "in": "query",
            "name": "currency",
            "required": false,
            "schema": {
              "example": "MXN",
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/vnd.app-v2.1.0+json": {
                "schema": {
                  "$ref": "#/components/schemas/get_transactions_response"
                }
              }
            },
            "description": "successful operation"
          },
          "401": {
            "content": {
              "application/vnd.app-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "Please include your access key in your request.",
                      "param": null,
                      "code": "femsa.errors.authentication.missing_key"
                    }
                  ],
                  "log_id": "507f1f77bcf86cd799439011",
                  "object": "error",
                  "type": "authentication_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "authentication error"
          },
          "500": {
            "content": {
              "application/vnd.app-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "debug_message": "There was a runtime error and Femsa engineers have been notified.",
                      "message": "There was a runtime error and Femsa engineers have been notified.",
                      "param": null,
                      "code": "femsa.errors.api.system.general_failure"
                    }
                  ],
                  "object": "error",
                  "type": "api_error",
                  "log_id": "641b6f2b3cd9a50001515098"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "internal server error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "summary": "List transactions",
        "tags": [
          "Transactions"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "page": {
        "description": "page metadata",
        "properties": {
          "next_page_url": {
            "description": "URL of the next page.",
            "example": "https://api.femsa.io/resources?limit=10&next=chrg_1",
            "nullable": true,
            "type": "string"
          },
          "previous_page_url": {
            "description": "Url of the previous page.",
            "example": "https://api.femsa.io/resources?limit=10&previous=chrg_1",
            "nullable": true,
            "type": "string"
          }
        },
        "title": "page metadata",
        "type": "object"
      },
      "pagination": {
        "description": "pagination metadata",
        "properties": {
          "has_more": {
            "description": "Indicates if there are more pages to be requested",
            "example": false,
            "type": "boolean"
          },
          "object": {
            "description": "Object type, in this case is list",
            "example": "list",
            "type": "string"
          }
        },
        "required": [
          "has_more",
          "object"
        ],
        "title": "pagination metadata",
        "type": "object"
      },
      "error": {
        "allOf": [
          {
            "$ref": "#/components/schemas/details"
          },
          {
            "properties": {
              "log_id": {
                "description": "log id",
                "example": "507f1f77bcf86cd799439011",
                "nullable": true,
                "type": "string"
              },
              "type": {
                "example": "authentication_error",
                "type": "string"
              },
              "object": {
                "example": "error",
                "type": "string"
              }
            },
            "type": "object"
          }
        ],
        "description": "err model",
        "title": "error"
      },
      "transaction_response": {
        "description": "Transaction object.",
        "properties": {
          "id": {
            "description": "Unique identifier of the transaction.",
            "example": "5ee7ec5b8dea41085erb7f9e",
            "type": "string"
          },
          "object": {
            "description": "Object name, which is transaction.",
            "example": "transaction",
            "type": "string"
          },
          "amount": {
            "description": "The amount of the transaction.",
            "example": 1000,
            "format": "int64",
            "type": "integer"
          },
          "fee": {
            "description": "The amount to be deducted for taxes and commissions.",
            "example": 560,
            "format": "int64",
            "type": "integer"
          },
          "net": {
            "description": "The net amount after deducting commissions and taxes.",
            "example": 440,
            "format": "int64",
            "type": "integer"
          },
          "currency": {
            "description": "The currency of the transaction. It uses the 3-letter code of ISO 4217.",
            "example": "MXN",
            "maxLength": 3,
            "type": "string"
          },
          "status": {
            "description": "Code indicating transaction status.",
            "enum": [
              "unprocessed",
              "pending",
              "available",
              "owing",
              "paid_out",
              "on_hold",
              "retained",
              "voided"
            ],
            "example": "pending",
            "type": "string"
          },
          "type": {
            "description": "Transaction type.",
            "enum": [
              "capture",
              "capture_reversal",
              "liquidation",
              "liquidation_reversal",
              "payout",
              "payout_reversal",
              "refund",
              "refund_reversal",
              "rounding_adjustment",
              "transfer",
              "transferred",
              "retention",
              "temporary_retention",
              "cashout_retention",
              "cashout_confirmation",
              "cashout_cancelation",
              "autofund_capture"
            ],
            "example": "capture",
            "type": "string"
          },
          "created_at": {
            "description": "Date and time of creation of the transaction in Unix format.",
            "example": 1553273553,
            "format": "int64",
            "type": "integer"
          },
          "livemode": {
            "description": "Indicates whether the transaction was created in live mode or test mode.",
            "example": true,
            "type": "boolean"
          },
          "charge": {
            "description": "Charge ID associated with the transaction (present only if the transaction belongs to a charge).",
            "example": "5ee7ec58885a45585e6d9f8m",
            "nullable": true,
            "type": "string"
          },
          "transfer": {
            "description": "Transfer ID associated with the transaction (present only if the transaction belongs to a transfer).",
            "example": "trf_2tPAmKCEJqh8RE6nY",
            "nullable": true,
            "type": "string"
          },
          "transferred_at": {
            "description": "Date and time when the transaction was transferred, in Unix format.",
            "example": 1553273999,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "formula": {
            "description": "Transaction fee formula identifier (if available).",
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "amount",
          "created_at",
          "currency",
          "fee",
          "id",
          "livemode",
          "net",
          "object",
          "status",
          "type"
        ],
        "title": "transaction_response",
        "type": "object"
      },
      "details": {
        "properties": {
          "details": {
            "items": {
              "$ref": "#/components/schemas/details_error"
            },
            "type": "array"
          }
        },
        "type": "object"
      },
      "get_transactions_response": {
        "allOf": [
          {
            "$ref": "#/components/schemas/pagination"
          },
          {
            "$ref": "#/components/schemas/page"
          },
          {
            "properties": {
              "data": {
                "description": "Transactions (ledger movements)",
                "items": {
                  "$ref": "#/components/schemas/transaction_response"
                },
                "type": "array"
              }
            },
            "type": "object"
          }
        ],
        "title": "get_transactions_response"
      },
      "details_error": {
        "properties": {
          "code": {
            "example": "femsa.errors.authentication.missing_key",
            "type": "string"
          },
          "param": {
            "nullable": true,
            "type": "string"
          },
          "message": {
            "example": "Acceso no autorizado.",
            "type": "string"
          },
          "debug_message": {
            "example": "Please include your access key in your request.",
            "type": "string"
          }
        },
        "title": "details_error",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  }
}
```